Subject: [bug#42888] [PATCH] gnu: rust: Fix install phase for non-x86_64 platforms.

From: Efraim Flashner <[email-masked]>
Date: Sun, 16 Aug 2020 17:19:40 +0300

On Sun, Aug 16, 2020 at 03:12:08PM +0100, Pierre Langlois wrote:
> Hello Guix!
> 
> In an optimistic attempt to eventually have Icecat on a Pinebook Pro, I
> thought I'd try and get rust building on aarch64. Here's a fix for the
> post-install phase that had an x86 triplet hardcoded. With this we're
> able to start off the bootstrap chain!

I forgot about that! It takes so long to build I never bothered with it
on my boards.

> That being said, each step takes ~5 hours on this machine so this is
> going to take a while :-), it's currently working on 1.23.
> 
> So, I suppose this should go into either core-updates or staging? WDYT?

I'd go with staging. No one wants to rebuild the rust bootstrap, but
they're basically all leaf packages so it's fine.

> Thanks!
> Pierre

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted